Bug 1357469 - [RFE] Add option to disable DHCP option 61 during installation
Summary: [RFE] Add option to disable DHCP option 61 during installation
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 26
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-18 09:56 UTC by Jari Turkia
Modified: 2018-05-29 12:36 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-29 12:36:15 UTC


Attachments (Terms of Use)

Description Jari Turkia 2016-07-18 09:56:26 UTC
Description of problem:
Node-specific Client Identifiers for Dynamic Host Configuration Protocol Version Four (DHCPv4) [RFC4361] is not supported by all ISPs. My ISP treats any incoming DHCP Discover -requests having option 61 (client identifier) as invalid and won't respond to those. This effectively makes it impossible for users to install Fedora Linux. Based on the DHCP Offer received, they're using Alcatel-Lucent hardware for DHCP and its either outdated or misconfigured. The issue is affecting all of their customers.

I'd urge to have an option to disable this at GUI-installer.

Version-Release number of selected component (if applicable):
dhcp-client-4.3.4-2

How reproducible:
easily, fails every time

Steps to Reproduce:
1. Boot into Fedora install environment
2. Observe how it is impossible to get an IP-address via DHCP
To repeat: This is ISP-specific, most likely it will work for you, but not for everybody.

Actual results:
No IP-address, not possible to proceed with install.

Expected results:
An IP-address.

Additional info:
This is the request for this feature https://bugzilla.redhat.com/show_bug.cgi?id=560361

This is first indication, that people are actually having problems with this: https://bugzilla.redhat.com/show_bug.cgi?id=1154200

The fix:
Create file /etc/dhcp/dhclient.conf, add following line:
send dhcp-client-identifier = "";

That needs to be repeated for the newly installed system.

Comment 1 Fedora Admin XMLRPC Client 2017-04-04 12:32:32 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Pavel Zhukov 2017-04-13 07:48:45 UTC
Reassigned to anaconda as RFE.
Personally I don't think we should add hacks for either misconfigured or outdated ISV's HW.

Comment 3 Jari Turkia 2017-04-13 10:33:15 UTC
(In reply to Pavel Zhukov from comment #2)
> Personally I don't think we should add hacks for either misconfigured or
> outdated ISV's HW.

The other way of looking at this is:
A change to current behavior was introduced, so an option for users to experience the previous behavior is appropriate. Not a hack.

The relevant question isn't if the ISP is doing a bad job, they are. The question is if Fedora users are able to install.

Comment 4 Pavel Zhukov 2017-07-20 07:15:37 UTC
I've submitted patch to dracut once it's released in Fedora installer should use HW address as client-identifier. 
https://github.com/dracutdevs/dracut/commit/4011b48c4261426c0cc51e5e063c4ac929153956

Comment 5 Jari Turkia 2017-07-20 07:36:24 UTC
Your commit does not fix the problem. For the faulty DHCPd to issue an address, it is vital that there is no value in the client identifier field, that why I suggested to use:

send dhcp-client-identifier = "";

Comment 6 Pavel Zhukov 2017-07-20 08:06:14 UTC
(In reply to Jari Turkia from comment #5)
> Your commit does not fix the problem. For the faulty DHCPd to issue an
> address, it is vital that there is no value in the client identifier field,
> that why I suggested to use:
> 
> send dhcp-client-identifier = "";

It was not supposed to fix faulty DHCPd and commit message says that.

Comment 7 Jari Turkia 2017-07-20 08:27:53 UTC
(In reply to Pavel Zhukov from comment #6)
> It was not supposed to fix faulty DHCPd and commit message says that.

1) Actually, it doesn't say that.
2) You filed your commit under this bug. Not some else bug or improvement.
3) I'll accept the fact, that this installation breaking change will never be fixed. Not in this bug report, or anybody else's.

Comment 8 Pavel Zhukov 2017-07-20 09:04:30 UTC
(In reply to Jari Turkia from comment #7)
> 3) I'll accept the fact, that this installation breaking change will never
> be fixed. Not in this bug report, or anybody else's.
There's no installation breaking change in Fedora. There's implementation of RFC made by upstream. The reasons why it was done are well described in https://tools.ietf.org/html/rfc4361#section-4 and the RFC is 20 years old now. 

For installation problem I can suggest you to use following workarounds:
1) Use custom initramdisk image, or
2) Use other installation method rather than netinstall (DVD/USB installation works just fine) and configure dhclient afterwards. This is the recommended way how to install Fedora. 

0) Contact ISP to fix the problem. Users pays ISPs (in some form) for fixing such kind of issues. (Ask for free static IP if they are not able to fix the problem). 

Adding yet another option to installer doesn't solve the problem completely. For example network installation will be broken just because dracut not able to download images and it's so early for anaconda even.

I guess it can be solved with adding option to dracut which can be passed via kernel command line (but do we really need option which will not be used in 2-3 years (hopefully!)).

I hope it helps to understand the situation with option 61 in Fedora (well, not only in Fedora but in modern world).

Comment 9 Jari Turkia 2017-07-20 09:15:29 UTC
Please understand, that I'm driving not because I cannot install Fedora after 20. About year go I spent the time investigating why I could not get an IP-address from DHCP, found the reason, found the fix and after that I've had no problems in installations.

Because nobody is ever going to change the code or add the option as I suggested, my humble request is:
Please document this behavior!

Let people be informed, that in the rare (emphasis on rare) case of not being able to get an IP-address while their Windowses and Macs and what-not-hardware work fully ok, Fedora install and subsequent first boot may fail to get an IP-address because of dumb/lazy/greedy ISPs not doing their job. Let them know, that this is by design, and it _CAN_ be fixed. Explain the difference whey their other appliance may work ok while precisely same hardware on Fedora doesn't. That's all.

Comment 10 Fedora End Of Life 2017-07-25 21:51:40 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2017-08-08 15:40:07 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 12 Fedora End Of Life 2018-05-03 08:17:26 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2018-05-29 12:36:15 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.